<?php   
/**
* Classe de base pour le création d'un mot de pass v2
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-authentication 
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/

/**
* Classe de base pour le création d'un mot de pass v2
* 
* @category   PHP 
* @package    Borealis-authentication
* @subpackage Password
* @author     Pascal Martin 
*/
class com_borealis_authentication_password_V2PasswordCreator extends com_borealis_authentication_password_PasswordCreator
{
    /**
    * Retourne in instance de com_borealis_authentication_password_Password
    * 
    * @param string $pstrValue Value for Password contructor
    * 
    * @return com_borealis_authentication_password_MD5Password
    */
    public function getPassword($pstrValue)
    {
        return new com_borealis_authentication_password_V2Password($pstrValue);    
    }
}   
    
?>