<?php
/**
* Exception lancé quand un assertion échoue
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-foundation  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/
 
/**
* Exception lancé quand un assertion échoue
* 
* Exception code 101
* 
* @category   PHP 
* @package    Borealis-foundation
* @subpackage Exception
* @author     Pascal Martin
*/   
class com_borealis_foundation_exception_AssertException extends Exception
{
    /**
    * Construit une nouvelle instance de com_borealis_foundation_exception_AssertException
    * 
    * @param string $pstrMessage Message d'erreur
    * 
    * @return com_borealis_foundation_exception_AssertException
    */
    public function __construct($pstrMessage)
    {    
        parent::__construct($pstrMessage, 101);
    } 
}
  
?>
