<?php
/**
* Menu du module ACL
*
* PHP versions 5
* 
* @category  PHP
* @package   ACL
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

// -----------------------------------------------
// --- Include
// -----------------------------------------------
require_once 'common.php';      

// -----------------------------------------------
// --- Set domain
// -----------------------------------------------
bindtextdomain("menu", $g_strLanguageDir);
textdomain("menu"); 
bind_textdomain_codeset("menu", "UTF-8");

?>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
    <title></title>
</head>
<body>
    <a href="index.php" target="_blank"><?php echo gettext('open_new_window'); ?></a>
    <br>                                   
    <ul>
        <li><a href="actions.php" target="main"><?php echo gettext('menu_actions'); ?></a></li> 
        <li><a href="ressources.php" target="main"><?php echo gettext('menu_resources'); ?></a></li>    
        <li>
            <a href="roles.php" target="main"><?php echo gettext('menu_roles'); ?></a>
            <ul>
                <li><a href="rolesmatrix.php" target="main"><?php echo gettext('menu_roles_matrix'); ?></a></li>
                <li><a href="rolesuser.php" target="main"><?php echo gettext('menu_roles_user'); ?></a></li>  
            </ul>
        </li> 
        <br/>    
        <li><a href="aclmanager.php" target="main"><?php echo gettext('menu_aclmanager'); ?></a></li>
        <li><a href="useracl.php" target="main"><?php echo gettext('menu_useracl'); ?></a></li> 
    </ul>
</body>
</html>
