<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
    <head>
        <title></title>    
        <script language="javascript">
            var G_CONFIRM_DELETE_RESOURCE = "{gettext key=confirm_delete_resource javascript=true}";
            var G_CONFIRM_DELETE_ACTION =  "{gettext key=confirm_delete_action javascript=true}";
            
            var G_A_SHOW_ACTION_CANCEL = "{gettext key=a_show_action_cancel javascript=true}";
            var G_A_SHOW_ACTION = "{gettext key=a_show_action javascript=true}";
           
            var G_A_EDIT_RESOURCE_CANCEL = "{gettext key=a_edit_resource_cancel javascript=true}";
            var G_A_EDIT_RESOURCE = "{gettext key=a_edit_resource javascript=true}";
            
            var G_CONFIRM_DELETE_ACTIONS = "{gettext key=confirm_delete_actions javascript=true}";
            var G_ALERT_SELECT_ACTION = "{gettext key=alert_select_action javascript=true}";
        </script>
        <script language="javascript" src="smarty/templates/js/ressources.js"></script>
    </head>
    <body>
        <fieldset>
            <legend>{gettext key=fieldset_add}</legend>
            <div id="error" style="color:red">{$errorAddRessource}</div> 
            <form>
                {gettext key=lbl_name} <input type="text" name="name" value="" style="width:200px" />  
                <input type="submit" value="{gettext key=btn_add}" /> 
                <input type="hidden" name="action" value="add_ressource"/>   
            </form>
        </fieldset>
        <fieldset>
            <legend>{gettext key=fieldset_link}</legend> 
            <div id="error" style="color:red">{$errorAddRessourceAction}</div>  
            <form>
                {gettext key=lbl_resource}
                <select name="ressource">
                    {foreach from=$ressources item=objRessource}   
                        <option value="{$objRessource->getName()}">{$objRessource->getName()}</option>
                    {/foreach}                    
                </select><br/>
                {gettext key=lbl_action}
                <select name="actionname[]" multiple="multiple" size="5">
                    {foreach from=$actions item=objAction}   
                        <option value="{$objAction->getName()}">{$objAction->getName()}</option>
                    {/foreach}                    
                </select>
                <input type="submit" value="{gettext key=btn_link}" />
                <input type="hidden" name="action" value="add_ressource_action"/>       
            </form>
        </fieldset>
        <fieldset>
            <legend>{gettext key=fieldset_resource}</legend> 
            <div id="error" style="color:red">{$errorDeleteRessource}</div>  
            <div id="info" style="color:green">{$infoMessage}</div> 
            {if $ressources->count() > 0}
                    
                <ul>     
                    {foreach from=$ressources item=objRessource}
                        <li>
                            {$objRessource->getName()}
                            - <a href="javascript:showHideEditResource('{$objRessource->getName()}');" id="edit_{$objRessource->getName()}">{gettext key=a_edit_resource}</a>
                            - <a href="javascript:showHideActions('{$objRessource->getName()}');" id="sh_actions_{$objRessource->getName()}">{gettext key=a_show_action}</a>                                                        
                            - <a href="javascript:deleteResource('{$objRessource->getName()}');">{gettext key=a_delete_resource}</a>       
                            
                            <fieldset id="edit_form_{$objRessource->getName()}" style="display:none">
                                <legend>{gettext key=fieldset_edit}</legend>
                                <form>
                                    {gettext key=lbl_name} <input type="text" name="name" value="{$objRessource->getName()}" style="width:300px" />  
                                    <input type="submit" value="{gettext key=btn_update}" /> 
                                    <input type="hidden" name="action" value="update_ressource"/>
                                    <input type="hidden" name="ressource" value="{$objRessource->getName()}"/>   
                                </form>
                            </fieldset>
                            <fieldset style="display:none" id="actions_{$objRessource->getName()}">
                                <legend>{gettext key=fieldset_action}</legend>
                                {assign var='actions' value=$objRessource->getActions()}    
                                {if $actions->count() > 0}
                                    <form method="post" onsubmit="return confirmDeleteAction('{$objRessource->getName()}');" id="form_actions_{$objRessource->getName()}">
                                        <ul>
                                            {foreach from=$actions item=objAction}
                                                <li>
                                                    <input type="checkbox" name="actionnames[]" value="{$objAction->getName()}" />
                                                    {$objAction->getName()} 
                                                    - <a href="javascript:deleteAction('{$objRessource->getName()}','{$objAction->getName()}');">{gettext key=a_delete_action}</a>
                                                </li> 
                                            {/foreach}
                                        </ul>
                                        <br/>
                                        <input type="hidden" name="action" value="delete_ressource_actions"/> 
                                        <input type="hidden" name="ressource" value="{$objRessource->getName()}"/>
                                        <input type="submit" value="{gettext key=btn_delete_actions}"/> - <a href="javascript:selectAll('form_actions_{$objRessource->getName()}', true)">{gettext key=a_select_all}</a> - <a href="javascript:selectAll('form_actions_{$objRessource->getName()}', false)">{gettext key=a_unselect_all}</a> 
                                    </form> 
                                {else}
                                    {gettext key=lbl_empty_action}
                                {/if}                         
                            </fieldset> 
       
                        </li>   
                    {/foreach}
                </ul>
            {else}
                {gettext key=lbl_empty_resource}
            {/if} 
            
        </fieldset> 
    </body>
</html>