<?php

$strCurrentDir = dirname(__FILE__);
require "$strCurrentDir/../../config.php";

// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.$g_strGeoprismaCore.
					 PATH_SEPARATOR.$g_strBorealisFoundation);

// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';   

// --------------------------------------
// Configure library
// --------------------------------------
org_geoprisma_SettingImpl::setXMLConfigFile("$strCurrentDir/config.xml"); 
org_geoprisma_SettingImpl::setTemplateDir($g_strTemplateDir);
org_geoprisma_SettingImpl::setWidgetDir($g_strWidgetDir);
org_geoprisma_SettingImpl::setLocaleDir($g_strLocaleDir);   

org_geoprisma_SettingImpl::setLibUrl($g_strLibUrl);
org_geoprisma_SettingImpl::setTemplateUrl($g_strTemplateUrl);
org_geoprisma_SettingImpl::setWidgetUrl($g_strWidgetUrl );

// --------------------------------------
// SetConfig
// --------------------------------------
org_geoprisma_SettingImpl::setConfig('org_geoprisma_config_XMLWorkspaceConfig');

// --------------------------------------
// SetCurrentWorkspace
// --------------------------------------
org_geoprisma_config_XMLWorkspaceConfig::setCurrentWorkspace('W_ALL');

//----------------------------
// Proxy caching configuration
//----------------------------

// set TileCache proxy caching only
org_geoprisma_SettingImpl::setTileCacheProxyCaching(true);
org_geoprisma_SettingImpl::setTileCacheProxyCachingExpires(2419200);

// set WMS proxy caching only
//org_geoprisma_SettingImpl::setWMSProxyCaching(true);
//org_geoprisma_SettingImpl::setWMSProxyCachingExpires(2419200);

// set TMS proxy caching only
//org_geoprisma_SettingImpl::setTMSProxyCaching(true);
//org_geoprisma_SettingImpl::setTMSProxyCachingExpires(2419200);

// set ALL proxy caching
//org_geoprisma_SettingImpl::setProxyCaching(false);
//org_geoprisma_SettingImpl::setProxyCachingExpires(2419200);

?>
