<?php
/* 
   Copyright (c) 2011- Mapgears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 
  
class EditFeature_Split extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'create';
    }    
     
    static public function getType()
    {
        return 'editfeature_split';
    }

    static public function getServiceType()
    {
        return 'featureserver';
    }

    static public function needLayer() 
    {
        return true;
    }

    static public function getMandatoryResourceOptionList()
    {
        return array('splittable');
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return false;
    }
}
  
?>
