/* 
   Copyright (c) 2009- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 
/**
 * IMPORTANT NOTE ABOUT THIS FILE
 *
 * This file contains a temp fix to the MapFish protocol.
 * 
 * TODO:
 * comment about the below changes.
 */


mapfish.Protocol.MapFish.prototype.update = function(features, options) {
        options = options || {};
        var url = options.url ||
                  features.url ||
                  ((this.options.url.indexOf('?')>-1)?this.options.url.replace(/\?/, '/' + features.fid + '?'):this.options.url + '/' + features.fid);
        options.url = url;
        options.headers = OpenLayers.Util.extend(
            options.headers, {"Content-Type": "plain/text"});
        return OpenLayers.Protocol.HTTP.prototype.update.call(
            this, features, options);
};

mapfish.Protocol.MapFish.prototype["delete"] = function(feature, options) {
        options = options || {};
        var url = options.url ||
                  feature.url ||
                  (( this.options.url.indexOf('?')>-1)?this.options.url.replace(/\?/, '/' + feature.fid + '?'):this.options.url + '/' + feature.fid);
        options.url = url;
        return OpenLayers.Protocol.HTTP.prototype["delete"].call(
            this, feature, options);
};

