Ext.namespace("GeoExt.ux");

if (GeoExt.ux.FilterBuilderSelector) {
    Ext.apply(GeoExt.ux.FilterBuilderSelector.prototype, {
        filter_builder_add_condition_text: "Ajouter une condition",
        filter_builder_post_combo_text: "des critères suivants :",
        filter_builder_pre_combo_text: "Trouver",
        filter_builder_combobox_layertype_text: "Vue sur laquelle appliquer le tri :",
        filter_builder_type_names: ["l'un", "tous", "aucun", "l'inverse"],
        filter_button_text: 'Appliquer le filtre',
        filter_fieldset_text: 'Critères de recherche',
        title: 'Filtre'
    });
}

if (GeoExt.ux.FeatureGridResult) {
    Ext.apply(GeoExt.ux.FeatureGridResult.prototype, {
        title: 'Résultats',
        position_tooltip_text: 'Aller à la position'
    });
}
if (GeoExt.ux.WFSFilterBuilderButton) {
    Ext.apply(GeoExt.ux.WFSFilterBuilderButton.prototype, {
        close_button_text: 'Fermer',
        window_title_text: 'Rechercher',
        tooltip: 'Filtrer les données',
        csv_export_text: "Exporter en CSV",
        csv_confirm_export_prefix_text: "Le fichier aurait plus de ",
        csv_confirm_export_suffix_text: " enregistrements. Procéder ?",
        loading_please_wait_text: "Chargement en cours. Veuillez patienter...",
        clear_filter_text: 'Réinitialiser tous les filtres'
    });
}
if (gxp.form.ComparisonComboBox) {
    Ext.apply(gxp.form.ComparisonComboBox.prototype, {
        allowedTypes: [
            [OpenLayers.Filter.Comparison.EQUAL_TO, "="],
            [OpenLayers.Filter.Comparison.NOT_EQUAL_TO, "<>"],
            [OpenLayers.Filter.Comparison.LESS_THAN, "<"],
            [OpenLayers.Filter.Comparison.GREATER_THAN, ">"],
            [OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO, "<="],
            [OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO, ">="],
            [OpenLayers.Filter.Comparison.LIKE, "contient"]
        ]
    });
}
GeoExt.ux.WFSSearch && Ext.apply(GeoExt.ux.WFSSearch.prototype, {
    searchText: "Rechercher",
    searchTipText: "Saisir la recherche puis appuyer sur entrée",
    selectAllText: "Sélectionner tout",
    minCharsTipText: "Saisir au moins {0} caractères"
});
