<?php
/**
* Fichier de configuration du package geoprisma
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Fichier de configuration du package geoprisma 
* 
* @category PHP 
* @package  GeoPrisma
* @author   Pascal Martin 
*/ 
abstract class org_geoprisma_Setting
{
    // --------------------------------------------------------------------------
    // Config configuration
    // --------------------------------------------------------------------------
    const CONFIG = 'org_geoprisma_config_XMLConfig';
    
    // --------------------------------------------------------------------------
    // XML Config Configuration
    // --------------------------------------------------------------------------
    const XML_CONFIG_FILE = '';  //  N:\samples\sample1\config.xml
    
    // --------------------------------------------------------------------------
    // Directory path 
    // --------------------------------------------------------------------------
    const TEMPLATE_DIR = '';  // N:\src\client\templates
    
    const WIDGET_DIR = '';  // N:\src\client\widgets
    
    const LOCALE_DIR = '';
    
    const LIB_DIR = ''; 
    
    // --------------------------------------------------------------------------
    // Url path 
    // --------------------------------------------------------------------------
    const TEMPLATE_URL = '';  // /borealis-svn/projects/geoprisma/trunk/src/client/templates
    
    const WIDGET_URL = '';  // /borealis-svn/projects/geoprisma/trunk/src/client/widgets
    
    const LIB_URL = '';     // /borealis-svn/projects/geoprisma/trunk/lib
    
    // --------------------------------------------------------------------------
    // Proxy 
    // --------------------------------------------------------------------------
    const PROXY_URL = ''; // http://localhost:9280/borealis-svn/projects/geoprisma/trunk/proxy.php?layers=basic
    const PROXY_URL_ALIASES = '';    

    // --------------------------------------------------------------------------
    // Proxy 
    // --------------------------------------------------------------------------
    const URL_SEPARATOR = ' ';

    // --------------------------------------------------------------------------
    // ACL 
    // --------------------------------------------------------------------------    
    const ACL_CLASS = 'org_geoprisma_acl_NoACL';
    
    // --------------------------------------------------------------------------
    // Locale 
    // --------------------------------------------------------------------------    
    const LOCALE_CLASS = 'org_geoprisma_locale_GetTextLocale';
    const LOCALE_LANGUAGE_DEFAULT = 'en_US';
    const LOCALE_LANGUAGE_REQUEST = 'locale';
}
  
?>
