<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/getmouseposition/getmouseposition.php';
    
class GetMousePositionTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', getmouseposition::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('getmouseposition', getmouseposition::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', getmouseposition::getText('phpunit_test','getmouseposition'));
        $this->assertEquals('phpunit_test', getmouseposition::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', getmouseposition::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', getmouseposition::getText('phpunit_test','getmouseposition'));  
        $this->assertEquals('phpunit_test', getmouseposition::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', getmouseposition::getText('phpunit_test'));        
    } 
}
  
?>