<?php
    
class org_geoprisma_proxy_featureserver_FeatureServerCreateProxyTest extends PHPUnit_Framework_TestCase
{
    
    public function testProcess()    
    {
        $_REQUEST['osmservice'] = 'FeatureServerOSM';
        $_REQUEST['osmresource'] = 'ResourceScribbleOSM'; 
        $_SERVER['PATH_INFO'] = '/scribble';
        $_SERVER['REQUEST_METHOD'] = 'POST';
        $GLOBALS['HTTP_RAW_POST_DATA'] = '{"type":"FeatureCollection","features":[{"type":"Feature","id":"OpenLayers.Feature.Vector_646","properties":{"title":"PHPUnit Test","strokeColor":"blue","author":"Geoprisma"},"geometry":{"type":"Point","coordinates":['.rand(-175,175).','.rand(-81,81).']}}]}'; 
        $objProxy = org_geoprisma_proxy_ProxyFactory::getProxy();
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_Proxy); 
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_featureserver_FeatureServerProxy);        
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_featureserver_FeatureServerCreateProxy);        
        ob_start();
        $objProxy->process();    
        $strJsonResult = ob_get_contents();
        ob_end_clean();                       
    }
}
  
?>