<?php
/**
* Setter et getter pour la configuration
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-security  
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Setter et getter pour la configuration
* 
* @category PHP 
* @package  Borealis-security
* @author   Pascal Martin 
*/ 
class com_borealis_test_SettingImpl extends com_borealis_test_Setting
{
    private static $s_strPhpUnitLib        = self::PHPUNIT_LIB;
    private static $s_strPearLib           = self::PEAR_LIB;
    private static $s_strPhpCodeSnifferLib = self::PHPCODESNIFFER_LIB;
    private static $s_strPMDLib            = self::PMD_LIB;
    
    // --------------------------
    // Getter
    // --------------------------
    
    /**
    * Return PhpUnitLib
    * 
    * @return string
    */
    public static function getPhpUnitLib()
    {
         return self::$s_strPhpUnitLib;
    }
    
    /**
    * Return PearLib
    * 
    * @return string
    */
    public static function getPearLib()
    {
         return self::$s_strPearLib;
    }
    
    /**
    * Return PhpCodeSnifferLib
    * 
    * @return string
    */
    public static function getPhpCodeSnifferLib()
    {
         return self::$s_strPhpCodeSnifferLib;
    }
    
    /**
    * Return PMDLib
    * 
    * @return string
    */
    public static function getPMDLib()
    {
         return self::$s_strPMDLib;
    }
    
    // --------------------------
    // Setter
    // --------------------------
    
    /**
    * Set PhpUnitLib
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setPhpUnitLib($pstrValue)
    {
         self::$s_strPhpUnitLib = $pstrValue;
    }
    
    /**
    * Set PearLib
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setPearLib($pstrValue)
    {
         self::$s_strPearLib = $pstrValue;
    }
    
    /**
    * Set PhpCodeSnifferLib
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setPhpCodeSnifferLib($pstrValue)
    {
         self::$s_strPhpCodeSnifferLib = $pstrValue;
    }
    
    /**
    * Set PMDLib
    * 
    * @param string $pstrValue Value
    * 
    * @return void
    */
    public static function setPMDLib($pstrValue)
    {
         self::$s_strPMDLib = $pstrValue;
    }

}
  
?>
