<?php
/**
* Exception lancé quand un erreur sql est retourné par le driver  
* 
* Exception code 301
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-acl  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.boreal-is.com/license BSD License
* @link      http://www.boreal-is.com
*/

/**
* Exception lancé quand un erreur sql est retourné par le driver
* 
* Exception code 301
* 
* @category   PHP 
* @package    Borealis-acl
* @subpackage Exception 
* @author     Pascal Martin
*/   
class com_borealis_acl_exception_SQLException extends Exception
{
    /**
    * Construit une nouvelle instance de com_borealis_acl_exception_SQLException
    * 
    * @param string $pstrMessage Message d'erreur
    * 
    * @return com_borealis_acl_exception_SQLException
    */
    public function __construct($pstrMessage)
    {    
        parent::__construct($pstrMessage, 301);
    }   
}
  
?>