<?php
  
ob_start();
  
// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.'../../../../lib/php-borealis-foundation-0.1.0.19-lite'.
                     PATH_SEPARATOR.'../../../../script');

// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';  
  
$strCurrentDir = dirname(__FILE__);  

 
// Check perl install
$strResult = shell_exec('perl --version'); 

if (strpos($strResult, 'This is perl,') === false)
{
    die('Perl was not installed, make sure perl is in your system path.'); 
}

$strScript = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../../lib\NaturalDocs-1.4\NaturalDocs');
$strScanDir = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\src\client\widgets'); 
$strDistDir = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\dist');
$strOutput =  $strDistDir.DIRECTORY_SEPARATOR.'naturaldoc';
$strProjectDir = com_borealis_foundation_util_Path::getAbsolute($strCurrentDir.'/../../../..\script\NaturalDocs');

$strCommand = 'perl "'.$strScript.'" -i "'.$strScanDir.'" -o HTML "'.$strOutput.'" -p "'.$strProjectDir.'" -ro';

// Make output folder
if (!file_exists($strOutput))
{
    mkdir($strOutput, 0777, true);     
}

// Lauch perl build
$strResult = shell_exec($strCommand);   
  
echo $strResult;      
  
?>