<?php

header('Content-type: application/json; charset=UTF-8');  


// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.'../../../../lib/php-borealis-foundation-0.1.0.19-lite');
                     
// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';  
  
$strCurrentDir = dirname(__FILE__);  

$strTarget = com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../dist"); 



$g_objArrayError = array();

if(file_exists("$strTarget/sniffer_result.xml"))
{
    $objSimpleXMLElement = simplexml_load_file("$strTarget/sniffer_result.xml"); 

    $objSimpleXMLElementFiles = $objSimpleXMLElement->xpath('//file');   

    $iID = -1;
    foreach($objSimpleXMLElementFiles as $objSimpleXMLElementFile)     
    {
        $objSimpleXMLElementErrors = $objSimpleXMLElementFile->xpath('./error');
        $strFileName = (string)$objSimpleXMLElementFile['name']; 
        
        $strFileName = substr($strFileName, strpos($strFileName,'org'));
        
        foreach($objSimpleXMLElementErrors as $objSimpleXMLElementError)
        {
            array_push($g_objArrayError, array( 'id' => ++$iID,
                                                'line'   => (string)$objSimpleXMLElementError['line'],
                                                'column' => (string)$objSimpleXMLElementError['column'],
                                                'severity' => (string)$objSimpleXMLElementError['severity'],
                                                'message' => (string)$objSimpleXMLElementError['message'],
                                                'source' => (string)$objSimpleXMLElementError['source'],
                                                'file' => $strFileName ));     
        }
    }
}
echo json_encode( array("errors" => $g_objArrayError));

?>