<?php
/* 
   Copyright (c) 2010- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 

class AttributeFilterPanel extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null, $pstrDomain = null)
    {
        if ($pstrDomain == null)
        {
            $pstrDomain = self::getType();      
        }
        return parent::getText($pstrMsg, $pstrDomain, $pstrType);
    }
     
    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'attributefilterpanel';
    }

    static public function getServiceType()
    {
        return 'featureserver';
    }

    static public function getMandatoryResourceOptionList()
    {
        return array("field" => "zoomField");
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return true;
    }
}
  
?>
