<?php
/* 
   Copyright (c) 2009- Mapgears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 

class GeoExtux_RedLiningPanel extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'geoextux_redliningpanel';
    }

    static public function getServiceType()
    {
        return null;
    }

    static public function linkResource($pobjResource, $pobjWidget) 
    {
        if ($pobjWidget == null) 
        {
            return;
        }

        // decode the 'popupOptions' option that is saved in json
        try
        {
            $objOption = $pobjWidget->getOption('popupOptions');
            $objOption->setValue(
                json_decode($objOption->getValue(), true)
            );
        }
        catch (Exception $objError)
        {}
    }
}
  
?>
