/*
   Copyright (c) 2010- Groupe Nippour, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/
Ext.namespace('OpenLayers.Control.HTWindow');
OpenLayers.Control.HTWindow = OpenLayers.Class(OpenLayers.Control, {
    type: OpenLayers.Control.TYPE_BUTTON,
    tooltip: '',
    formurl: null,
    formmethod: null,
    windowH: 500,
    windowW: 500,
    windowM: true,
    windowC: false,
    trigger: function(){
        if (!this.oHTExtWindow || this.oHTExtWindow.isDestroyed){
            this.oHTExtWindow = new Ext.Window({
                id: this.id,
                title: this.text,
                layout: 'fit',
                closable : true,
                width    : this.windowW,
                height   : this.windowH,
                border : false,
                modal: this.windowM,
                plain    : true,
                resizable : false,
                autoScroll: true,
                constrain: true,
                myformurl: this.formurl,
                collapsible: this.windowC,
                items: Ext.isFunction(this.formmethod) ? this.formmethod() : [],
                region: 'center'
            });
        }
   
        this.oHTExtWindow.show();

        if(this.formurl != null)
        {
            this.oHTExtWindow.load({
                url: ''+this.formurl+'?nocache='+(new Date()).getTime()+'',
                scripts: true
            });
         }
    },
    CLASS_NAME: "OpenLayers.Control.HTWindow"
});