<?xml version="1.0" encoding="utf-8"?>
<!-- 
   Copyright (c) 2009- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license.
 --> 

<xsl:stylesheet version="1.0" xmlns:php="http://php.net/xsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:dyn="http://exslt.org/dynamic"
    xmlns:mouseposition="http://geoprisma.org/mouseposition"
    extension-element-prefixes="dyn">
  <xsl:namespace-alias stylesheet-prefix="php" result-prefix="xsl" />

<!-- 
     Function : printWidgetSource

     Print the source code for this widget
-->
  <!-- Call for each widget type-->
  <!--xsl:template name="mouseposition:printWidgetSource">
    <script>
        <xsl:attribute name="src" >
             <xsl:value-of select="$g_widgets_url"/>
             <xsl:text>/mouseposition/mouseposition.js</xsl:text>
        </xsl:attribute>
    </script>
  </xsl:template-->

<!-- 
     Function : printWidgetExecution

     Print the execution code for this widget
-->
  <!-- Call for each widget name-->
  <xsl:template name="mouseposition:printWidgetExecution">
    <xsl:param name="pWidgetName" />
    <xsl:param name="pMapName" />

    <!-- get draw mode  -->
    <xsl:variable name="pDrawMode">
      <xsl:value-of select="$drawmode" />
    </xsl:variable>

    <!-- javascript START -->
    <script type="text/javascript">

<!-- quick fix for http://trac.mapfish.org/trac/mapfish/ticket/126 -->  
	objGPWidget<xsl:value-of select="$pWidgetName" /> = new OpenLayers.Control.MousePosition();
	oMap.addControl(objGPWidget<xsl:value-of select="$pWidgetName" />); 
	objGPWidget<xsl:value-of select="$pWidgetName" />.autoHeight = false;
	objGPWidget<xsl:value-of select="$pWidgetName" />.height = 25;
        

    </script>
    <!-- javascript END -->
  </xsl:template>

<!-- 
     Function : drawWidget

     Output the widget depending on the render type
-->
  <!-- Call for each widget name -->
  <xsl:template name="mouseposition:drawWidget">
    <xsl:param name="pWidgetName" />
      
  </xsl:template>


<!--
    Function: getWidgetDepedencies

    Return the list of dependencies for this widget
-->
  <!-- Call for each widget type-->
  <xsl:template name="mouseposition:getWidgetDepedencies">

  </xsl:template>

</xsl:stylesheet>
