<?php
/**
* Class Proxy feature server quant la requete est de type getCapability     
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Class Proxy feature server quant la requete est de type getCapability
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage Proxy 
* @author     Pascal Martin 
*/ 
class org_geoprisma_proxy_featureserver_FeatureServerGetCapabilityProxy extends org_geoprisma_proxy_featureserver_FeatureServerProxy
{
    /**
    * Foward the call end return the result
    * 
    * @return void
    */
    public function process()
    {
        $objCurl = curl_init($this->addParam($this->getService()->getSource()));                 
        curl_exec($objCurl);
        curl_close($objCurl); 
    }
    
    /**
    * Retourne le nom de l'action réaliser par le proxy (Create - Read - Update - Delete)
    *                                   
    * @return string
    */
    public function getAction()
    {
        return self::CRUD_READ;    
    }
}

?>
