<?php


include_once dirname(__FILE__).'../../../../../../src/client/widgets/map/map.php';
    
class MapTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', Map::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('map', Map::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('en_US Map', Map::getText('phpunit_test','map'));
        $this->assertEquals('en_US Map', Map::getText('phpunit_test','fgh'));
        $this->assertEquals('en_US Map', Map::getText('phpunit_test'));
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('fr_CA Map', Map::getText('phpunit_test','map'));        
        $this->assertEquals('fr_CA Map', Map::getText('phpunit_test','fgh'));
        $this->assertEquals('fr_CA Map', Map::getText('phpunit_test'));
    } 
}
  
?>