<?php


include_once dirname(__FILE__).'../../../../../../src/client/widgets/mapfishlayertree/mapfishlayertree.php';
    
class MapFishLayerTreeTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', MapFishLayerTree::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('mapfishlayertree', MapFishLayerTree::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('en_US MapFishLayerTree', MapFishLayerTree::getText('phpunit_test','quickzoom'));
        $this->assertEquals('en_US MapFishLayerTree', MapFishLayerTree::getText('phpunit_test','fghjfgjfg'));
        $this->assertEquals('en_US MapFishLayerTree', MapFishLayerTree::getText('phpunit_test'));
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('fr_CA MapFishLayerTree', MapFishLayerTree::getText('phpunit_test','quickzoom'));        
        $this->assertEquals('fr_CA MapFishLayerTree', MapFishLayerTree::getText('phpunit_test','fghjfgjfg')); 
        $this->assertEquals('fr_CA MapFishLayerTree', MapFishLayerTree::getText('phpunit_test')); 
    } 
}
  
?>