<?php
    
class org_geoprisma_proxy_featureserver_FeatureServerGetCapabilityProxyTest extends PHPUnit_Framework_TestCase
{
    
    public function testProcess()    
    {
        $_REQUEST['osmservice'] = 'FeatureServerDemo';  
        $_REQUEST['osmresource'] = 'ResourceScribble';    
        $objProxy = org_geoprisma_proxy_ProxyFactory::getProxy();
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_Proxy); 
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_featureserver_FeatureServerProxy);        
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_featureserver_FeatureServerGetCapabilityProxy);        
        
        ob_start();
        $objProxy->process();    
        $strJsonResult = ob_get_contents();
        ob_end_clean();
        
        $objResult = json_decode($strJsonResult); 
        $this->assertEquals(1, count($objResult->Layers));
        $this->assertEquals('http://featureserver.org/demo/featureserver.cgi/scribble', $objResult->Layers[0]->url);
    }
    
}
  
?>